Simulate receiving ACH return
curl --request POST \
--url https://api-sandbox.synctera.com/v0/ach/transaction_simulations/receiving_return \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ach_id": "23a37f14-16eb-461d-9331-b78182adbad4"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/ach/transaction_simulations/receiving_return"
payload = { "ach_id": "23a37f14-16eb-461d-9331-b78182adbad4" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ach_id: '23a37f14-16eb-461d-9331-b78182adbad4'})
};
fetch('https://api-sandbox.synctera.com/v0/ach/transaction_simulations/receiving_return', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}ACH Transaction Simulations
Simulate receiving ACH return
Use to simulate receiving ACH return in test environments. Creates an incoming ACH file with a single return entry based on a previously created outgoing transaction. The file gets automatically processed.
POST
/
ach
/
transaction_simulations
/
receiving_return
Simulate receiving ACH return
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Incoming ACH return simulation
Simulate receiving an ACH return
ID of an outgoing ACH transfer to be returned.
Example:
"23a37f14-16eb-461d-9331-b78182adbad4"
Response
Simulated receiving ACH return
The response is of type object.
Was this page helpful?
⌘I

